List terminals
curl --request GET \
--url https://thirdparty.qonto.com/v2/terminals \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/terminals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/terminals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"terminals": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"poi_id": "S1F2-000158252426226",
"created_at": "2026-01-15T10:20:30Z",
"updated_at": "2026-03-26T08:15:00Z"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}Terminals
List terminals
OAuth scope: terminal.read
Returns the list of physical payment terminals linked to the authenticated organization.
The terminal must be powered on and connected to the internet to receive payment requests.
Use the id field when initiating a payment via POST /v2/terminals/{id}/payment.
GET
/
v2
/
terminals
List terminals
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Page number for pagination. Must be greater than 0.
Required range:
x >= 1Number of records per page. Must be between 1 and 100.
Required range:
1 <= x <= 100Was this page helpful?